package com.care.common.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareChamberlainOlderRel;
import com.care.common.entity.CareSysUser;
import com.care.common.mapper.CareChamberlainOlderRelMapper;
import com.care.common.service.CareChamberlainOlderRelService;
import com.care.common.service.CareSysUserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 安全管家-被监护人关系表(CareChamberlainOlderRel)表服务实现类
 *
 * @author makejava
 * @since 2021-05-21 00:08:34
 */
@Service
public class CareChamberlainOlderRelServiceImpl extends ServiceImpl<CareChamberlainOlderRelMapper, CareChamberlainOlderRel> implements CareChamberlainOlderRelService {

    @Resource
    private CareSysUserService careSysUserService;
    /**
     * 获取老人的管家
     *
     * @param olderId
     * @return
     */
    @Override
    public CareSysUser getMainChamberlainByOlderId(Long olderId) {
        CareSysUser user = null;
        QueryWrapper<CareChamberlainOlderRel> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareChamberlainOlderRel::getOlderId,olderId);
        List<CareChamberlainOlderRel> datas = this.list(queryWrapper);
        if (CollUtil.isNotEmpty(datas)){
            CareChamberlainOlderRel rel = datas.get(0);
            user = this.careSysUserService.getById(rel.getChamberlainId());
        }
        return user;
    }
}