package com.care.common.vo.event;

import cn.hutool.core.date.DateUtil;
import com.care.common.entity.CareOlder;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author: lilt
 * @Date: 2021/5/29
 * @Desc:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "老人详细信息", description = "老人详细信息响应类")
public class OrderOlderVO extends CareOlder {

    @ApiModelProperty("老人联系状态描述")
    private String contactStatusDesc;
    @ApiModelProperty("老人联系状态")
    private Integer contactStatus;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("事件类型")
    private String eventType;
    @ApiModelProperty("事件类型描述")
    private String eventTypeDesc;

    @ApiModelProperty("管家")
    private ChamberlainVO chamberlain;

    public Integer getAge(){
        if (super.getBirthday() != null){
            return DateUtil.ageOfNow(super.getBirthday());
        }else{
            return null;
        }
    }

}
